<?php

namespace Foxstudio\Plugins\Template\Controller;
use Foxstudio\Plugins\Template\Utils as Utils;
use Foxstudio\Plugins\Template\Repository as Repository;

class CalculatorController {
    
    public function __construct() {

        \add_menu_page(
            'myId',
            'myId',
            'manage_options',
            PLUGIN_URL_DIR,
            [$this, 'settings_page'],
            plugins_url('assets/img/icon.png', PLUGIN_URL)
        );

    }

    public function settings_page() {

        $product_repository = new Repository\ProductRepository(SERVER_URL);
        $results = $product_repository->getProductInfo("AP800450");

        var_dump($results['message']);



    }

}